package com.pcloud.book.applet.biz;

import com.pcloud.book.applet.entity.AppletThirdResourcesStatic;
import com.pcloud.common.page.PageBeanNew;

/**
 * (AppletThirdResourcesStatic)表服务接口
 *
 * @author makejava
 * @since 2020-10-14 16:19:03
 */
public interface AppletThirdResourcesStaticBiz {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    AppletThirdResourcesStatic getById(Long id);

    /**
     * 分页查询
     */
    PageBeanNew getList(Integer currentPage, Integer numPerPage);

    /**
     * 新增数据
     *
     * @param appletThirdResourcesStatic 实例对象
     * @return 主键
     */
    Long insert(AppletThirdResourcesStatic appletThirdResourcesStatic);

    /**
     * 修改数据
     *
     * @param appletThirdResourcesStatic 实例对象
     */
    void update(AppletThirdResourcesStatic appletThirdResourcesStatic);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    void deleteById(Long id);

    /**
     * 获取跟谁学统计数据
     * @param isAll
     */
    void getAppletThirdResourceStatic(Integer isAll);
}